
Redmine - Feature #41906

Enhance font consistency by inheriting font-family in input and select elements

2024-11-29 22:00 - pasquale [:dedalus]

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix   

Description

After Feature #41321: Improve readability by refining font sizes and switching to Noto Sans font, the font was changed to enhance

the readability, but when the user enable Edit mode the text change in a different and small font. I think that the font used should be

the same in both case when the user read and when the user write

History

#1 - 2024-11-30 09:34 - pasquale [:dedalus]

- File clipboard-202411300934-5rcsn.png added

 clipboard-202411300934-5rcsn.png 

#2 - 2024-12-01 07:53 - Go MAEDA

- Subject changed from Font used in read mode vs font used in edit mode to Enhance font consistency by inheriting font-family in input and select

elements

The following patch applies the font-family and font-size defined in application.css to the input and select elements.

diff --git a/app/assets/stylesheets/application.css b/app/assets/stylesheets/application.css

index 1c9595172..b0566dca1 100644

--- a/app/assets/stylesheets/application.css

+++ b/app/assets/stylesheets/application.css

@@ -50,6 +50,7 @@ h2 {font-size: 1.25rem;}

 h3 {font-size: 1.0625rem;}

 h4 {font-size: 0.875rem; border-bottom: 1px solid #ccc; font-weight:normal;}

 pre, code {font-family: Consolas, Menlo, "Liberation Mono", Courier, monospace;}

+input, select {font-family: inherit; font-size: inherit;}

 .wiki h1 {font-size: 1.6em;}

 .wiki h2 {font-size: 1.4em;}

 .wiki h3 {font-size: 1.2em;}

#3 - 2024-12-01 09:07 - pasquale [:dedalus]

- File clipboard-202412010902-cdpwd.png added

- File clipboard-202412010903-uuavl.png added

Hi Go MAEDA, I have tested your patch. Thanks!

It works for Start-date, Due-date and Estimated-time, Subject but not for others custom field and native fields as Priority, Status, Assignee etc.

In other words it works for simple text but not works for text displayed in combobox\listbox etc

Before
clipboard-202412010902-cdpwd.png 

After
clipboard-202412010903-uuavl.png 

#4 - 2024-12-03 19:33 - pasquale [:dedalus]

Hi Go MAEDA on addition to selectbox control as stated in previous comment, same issue affects also the text area where the user post the

comment.

Thanks!
#5 - 2024-12-27 05:41 - Go MAEDA

pasquale [:dedalus] wrote in #note-4:

Hi Go MAEDA on addition to selectbox control as stated in previous comment, same issue affects also the text area where the user post the

comment.

 If you wish to display text areas in the Noto Sans font, you can do so by selecting "Proportional font" in the "Font used for text areas" setting on the

"My account" page.

However, when "Default font" is selected in this setting, the text areas use the browser's default font instead of Noto Sans. This behavior is

appropriate, as confirmed by comment #23653#note-7, which explicitly states that the "Default font" option corresponds to "browser default."

#6 - 2025-02-13 12:09 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Wont fix
